import { inject, computed } from "vue";
import { configProviderInjectionKey } from "../config-provider/src/context.js";
const defaultClsPrefix = "w";
function useConfig(props = {}, options = {
  defaultBordered: true
}) {
  const NConfigProvider = inject(configProviderInjectionKey, null);
  return {
    inlineThemeDisabled: NConfigProvider == null ? void 0 : NConfigProvider.inlineThemeDisabled,
    mergedRtlRef: NConfigProvider == null ? void 0 : NConfigProvider.mergedRtlRef,
    mergedComponentPropsRef: NConfigProvider == null ? void 0 : NConfigProvider.mergedComponentPropsRef,
    mergedBreakpointsRef: NConfigProvider == null ? void 0 : NConfigProvider.mergedBreakpointsRef,
    mergedBorderedRef: computed(() => {
      var _a, _b;
      const { bordered } = props;
      if (bordered !== void 0)
        return bordered;
      return (_b = (_a = NConfigProvider == null ? void 0 : NConfigProvider.mergedBorderedRef.value) != null ? _a : options.defaultBordered) != null ? _b : true;
    }),
    mergedClsPrefixRef: computed(() => {
      const clsPrefix = NConfigProvider == null ? void 0 : NConfigProvider.mergedClsPrefixRef.value;
      return clsPrefix || defaultClsPrefix;
    }),
    namespaceRef: computed(() => NConfigProvider == null ? void 0 : NConfigProvider.mergedNamespaceRef.value)
  };
}
export { useConfig as default, defaultClsPrefix };
