import "../_styles/common/dark.js";
import derived from "../_styles/common/light.js";
import { createTheme } from "../_mixins/use-theme.js";
const self = (vars) => {
  const {
    fontSize,
    boxShadow2,
    popoverColor,
    textColor2,
    borderRadius,
    borderColor,
    heightSmall,
    heightMedium,
    heightDefault,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeDefault,
    dividerColor,
    height
  } = vars;
  return {
    panelFontSize: fontSize,
    boxShadow: boxShadow2,
    color: popoverColor,
    textColor: textColor2,
    borderRadius,
    border: `1px solid ${borderColor}`,
    heightSmall,
    heightMedium,
    heightDefault,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeDefault,
    dividerColor,
    height
  };
};
const colorPickerLight = createTheme({
  name: "ColorPicker",
  common: derived,
  peers: {},
  self
});
export { colorPickerLight as default, self };
