import { defineComponent, toRefs, provide, reactive, renderSlot } from "vue";
import { configProviderInjectionKey } from "./context.js";
import _export_sfc from "../_virtual/plugin-vue_export-helper";
const _sfc_main = defineComponent({
  name: "ConfigProvider",
  props: {
    prefixCls: {
      type: String,
      default: "w"
    },
    locale: {
      type: Object
    },
    size: {
      type: String
    }
  },
  setup(props, { slots }) {
    const { prefixCls, locale, size } = toRefs(props);
    provide(configProviderInjectionKey, reactive({
      slots,
      prefixCls,
      locale,
      size
    }));
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return renderSlot(_ctx.$slots, "default");
}
var _ConfigProvider = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { _ConfigProvider as default };
