const calendarLang = {
  formatYear: "YYYY \u5E74",
  formatMonth: "YYYY \u5E74 MM \u6708",
  today: "\u4ECA\u5929",
  view: {
    month: "\u6708",
    year: "\u5E74",
    week: "\u5468",
    day: "\u65E5"
  },
  month: {
    long: {
      January: "\u4E00\u6708",
      February: "\u4E8C\u6708",
      March: "\u4E09\u6708",
      April: "\u56DB\u6708",
      May: "\u4E94\u6708",
      June: "\u516D\u6708",
      July: "\u4E03\u6708",
      August: "\u516B\u6708",
      September: "\u4E5D\u6708",
      October: "\u5341\u6708",
      November: "\u5341\u4E00\u6708",
      December: "\u5341\u4E8C\u6708"
    },
    short: {
      January: "\u4E00\u6708",
      February: "\u4E8C\u6708",
      March: "\u4E09\u6708",
      April: "\u56DB\u6708",
      May: "\u4E94\u6708",
      June: "\u516D\u6708",
      July: "\u4E03\u6708",
      August: "\u516B\u6708",
      September: "\u4E5D\u6708",
      October: "\u5341\u6708",
      November: "\u5341\u4E00\u6708",
      December: "\u5341\u4E8C\u6708"
    }
  },
  week: {
    long: {
      self: "\u5468",
      monday: "\u5468\u4E00",
      tuesday: "\u5468\u4E8C",
      wednesday: "\u5468\u4E09",
      thursday: "\u5468\u56DB",
      friday: "\u5468\u4E94",
      saturday: "\u5468\u516D",
      sunday: "\u5468\u65E5"
    },
    short: {
      self: "\u5468",
      monday: "\u4E00",
      tuesday: "\u4E8C",
      wednesday: "\u4E09",
      thursday: "\u56DB",
      friday: "\u4E94",
      saturday: "\u516D",
      sunday: "\u65E5"
    }
  }
};
const lang = {
  locale: "zh-TW",
  empty: {
    description: "\u66AB\u7121\u8CC7\u6599"
  },
  drawer: {
    okText: "\u78BA\u5B9A",
    cancelText: "\u53D6\u6D88"
  },
  popconfirm: {
    okText: "\u78BA\u5B9A",
    cancelText: "\u53D6\u6D88"
  },
  modal: {
    okText: "\u78BA\u5B9A",
    cancelText: "\u53D6\u6D88"
  },
  pagination: {
    goto: "\u524D\u5F80",
    page: "\u9801",
    countPerPage: "\u689D/\u9801",
    total: "\u5171 {0} \u689D"
  },
  table: {
    okText: "\u78BA\u5B9A",
    resetText: "\u91CD\u7F6E"
  },
  upload: {
    start: "\u958B\u59CB",
    cancel: "\u53D6\u6D88",
    delete: "\u522A\u9664",
    retry: "\u9EDE\u64CA\u91CD\u8A66",
    buttonText: "\u9EDE\u64CA\u4E0A\u50B3",
    preview: "\u9810\u89BD",
    drag: "\u9EDE\u64CA\u6216\u62D6\u62FD\u6587\u4EF6\u5230\u6B64\u8655\u4E0A\u50B3",
    dragHover: "\u91CB\u653E\u6587\u4EF6\u4E26\u958B\u59CB\u4E0A\u50B3",
    error: "\u4E0A\u4F20\u5931\u8D25"
  },
  datePicker: {
    view: calendarLang.view,
    month: calendarLang.month,
    week: calendarLang.week,
    placeholder: {
      date: "\u8ACB\u9078\u64C7\u65E5\u671F",
      week: "\u8ACB\u9078\u64C7\u5468",
      month: "\u8ACB\u9078\u64C7\u6708\u4EFD",
      year: "\u8ACB\u9078\u64C7\u5E74\u4EFD",
      quarter: "\u8ACB\u9078\u64C7\u5B63\u5EA6",
      time: "\u8ACB\u9078\u64C7\u6642\u9593"
    },
    rangePlaceholder: {
      date: ["\u958B\u59CB\u65E5\u671F", "\u7D50\u675F\u65E5\u671F"],
      week: ["\u958B\u59CB\u5468", "\u7D50\u675F\u5468"],
      month: ["\u958B\u59CB\u6708\u4EFD", "\u7D50\u675F\u6708\u4EFD"],
      year: ["\u958B\u59CB\u5E74\u4EFD", "\u7D50\u675F\u5E74\u4EFD"],
      quarter: ["\u958B\u59CB\u5B63\u5EA6", "\u7D50\u675F\u5B63\u5EA6"],
      time: ["\u958B\u59CB\u6642\u9593", "\u7D50\u675F\u6642\u9593"]
    },
    selectTime: "\u9078\u64C7\u6642\u9593",
    today: "\u4ECA\u5929",
    now: "\u6B64\u523B",
    ok: "\u78BA\u5B9A"
  },
  image: {
    loading: "\u52A0\u8F09\u4E2D"
  },
  imagePreview: {
    fullScreen: "\u5168\u5C4F",
    rotateRight: "\u5411\u53F3\u65CB\u8F49",
    rotateLeft: "\u5411\u5DE6\u65CB\u8F49",
    zoomIn: "\u653E\u5927",
    zoomOut: "\u7F29\u5C0F",
    originalSize: "\u539F\u59CB\u5C3A\u5BF8"
  },
  typography: {
    copied: "\u5DF2\u5FA9\u88FD",
    copy: "\u5FA9\u88FD",
    expand: "\u5C55\u958B",
    collapse: "\u6298\u758A",
    edit: "\u7DE8\u8F2F"
  },
  colorPicker: {
    undo: "\u64A4\u9500",
    redo: "\u91CD\u505A",
    confirm: "\u786E\u8BA4",
    clear: "\u6E05\u9664"
  }
};
export { lang as default };
