"use strict";
var vue = require("vue");
var globalConfig = require("../_utils/global-config.js");
var vueUtils = require("../_utils/vue-utils.js");
var _Breadcrumb = vue.defineComponent({
  name: "Breadcrumb",
  props: {
    maxCount: {
      type: Number,
      default: 0
    }
  },
  setup(props, {
    slots
  }) {
    const prefixCls = globalConfig.getPrefixCls("breadcrumb");
    return () => {
      var _a, _b;
      const children = (_b = (_a = slots.default) == null ? void 0 : _a.call(slots)) != null ? _b : [];
      const total = vueUtils.getComponentNumber(children, "BreadcrumbItem");
      const mergedChildren = vueUtils.getChildrenComponents(children, "BreadcrumbItem", (vn, index) => ({
        index,
        total,
        maxCount: props.maxCount,
        separator: slots.separator
      }));
      return vue.createVNode("div", {
        "class": prefixCls
      }, [mergedChildren]);
    };
  }
});
module.exports = _Breadcrumb;
