"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports[Symbol.toStringTag] = "Module";
require("../_styles/common/dark.js");
var light = require("../_styles/common/light.js");
var useTheme = require("../_mixins/use-theme.js");
const self = (vars) => {
  const {
    fontSize,
    boxShadow2,
    popoverColor,
    textColor2,
    borderRadius,
    borderColor,
    heightSmall,
    heightMedium,
    heightDefault,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeDefault,
    dividerColor,
    height
  } = vars;
  return {
    panelFontSize: fontSize,
    boxShadow: boxShadow2,
    color: popoverColor,
    textColor: textColor2,
    borderRadius,
    border: `1px solid ${borderColor}`,
    heightSmall,
    heightMedium,
    heightDefault,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeDefault,
    dividerColor,
    height
  };
};
const colorPickerLight = useTheme.createTheme({
  name: "ColorPicker",
  common: light,
  peers: {},
  self
});
exports["default"] = colorPickerLight;
exports.self = self;
