"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports[Symbol.toStringTag] = "Module";
var globalConfig = require("../_utils/global-config.js");
var image = require("./image.js");
var preview = require("./preview.js");
var previewGroup = require("./preview-group.js");
const Image = Object.assign(image, {
  Preview: preview,
  PreviewGroup: previewGroup,
  install: (app, options) => {
    globalConfig.setGlobalConfig(app, options);
    const componentPrefix = globalConfig.getComponentPrefix(options);
    app.component(componentPrefix + image.name, image);
    app.component(componentPrefix + preview.name, preview);
    app.component(componentPrefix + previewGroup.name, previewGroup);
  }
});
exports.ImagePreview = preview;
exports.ImagePreviewGroup = previewGroup;
exports["default"] = Image;
